DefaultMuleConnectionFactory (Mule ESB 2.2.1 API)
Keywords: org.mule.module.jca.DefaultMuleConnectionFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.jca
Class DefaultMuleConnectionFactory

    java.lang.Object
      org.mule.module.jca.DefaultMuleConnectionFactory

All Implemented Interfaces:
  Serializable, Referenceable, MuleConnectionFactory

    public class DefaultMuleConnectionFactory

extends Object
implements MuleConnectionFactory

`DefaultMuleConnectionFactory` an implementation of the MuleconnectionFactory interface used by clients of this ResourceAdapter to obtain a connection to Mule resources.

See Also:
  Serialized Form

Field Summary
`protected Log` | `logger` logger used by this class

Constructor Summary
`DefaultMuleConnectionFactory(MuleManagedConnectionFactory factory, ConnectionManager manager, MuleConnectionRequestInfo info)`

Method Summary
`MuleConnection` | `createConnection()`
`MuleConnection` | `createConnection(MuleConnectionRequestInfo info)`
`MuleManagedConnectionFactory` | `getFactory()`
`MuleConnectionRequestInfo` | `getInfo()`
`ConnectionManager` | `getManager()`
`Reference` | `getReference()`
`void` | `setFactory(MuleManagedConnectionFactory factory)`
`void` | `setInfo(MuleConnectionRequestInfo info)`
`void` | `setManager(ConnectionManager manager)`
`void` | `setReference(Reference reference)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected transient Log logger

  logger used by this class

Constructor Detail

### DefaultMuleConnectionFactory

    public DefaultMuleConnectionFactory(MuleManagedConnectionFactory factory,
                                        ConnectionManager manager,
                                        MuleConnectionRequestInfo info)

Method Detail

### createConnection

    public MuleConnection createConnection()
                                    throws ResourceException

  Specified by:
    `createConnection` in interface `MuleConnectionFactory`
  Throws:
    `ResourceException`

### createConnection

    public MuleConnection createConnection(MuleConnectionRequestInfo info)
                                    throws ResourceException

  Specified by:
    `createConnection` in interface `MuleConnectionFactory`
  Throws:
    `ResourceException`

### getManager

    public ConnectionManager getManager()

  Specified by:
    `getManager` in interface `MuleConnectionFactory`

### setManager

    public void setManager(ConnectionManager manager)

  Specified by:
    `setManager` in interface `MuleConnectionFactory`

### getFactory

    public MuleManagedConnectionFactory getFactory()

  Specified by:
    `getFactory` in interface `MuleConnectionFactory`

### setFactory

    public void setFactory(MuleManagedConnectionFactory factory)

  Specified by:
    `setFactory` in interface `MuleConnectionFactory`

### getReference

    public Reference getReference()

  Specified by:
    `getReference` in interface `Referenceable`

### setReference

    public void setReference(Reference reference)

### getInfo

    public MuleConnectionRequestInfo getInfo()

  Specified by:
    `getInfo` in interface `MuleConnectionFactory`

### setInfo

    public void setInfo(MuleConnectionRequestInfo info)

  Specified by:
    `setInfo` in interface `MuleConnectionFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.